Subject: Re: bug#44333: 27.1; macOS menu bar 2-clicks

From: Mattias Engdegård <[email-masked]>
Date: Sun, 27 Dec 2020 18:14:25 +0100

26 dec. 2020 kl. 22.52 skrev Alan Third <[email-masked]>:

> It's actually almost possible to copy the Mac port code in verbatim,
> the NS port's code is based on it after all, but I feel it may be
> neater to use a custom view for the NSMenuItems. That would give us
> complete control over the layout.

We should, but because I was lazy and impatient, I wrote the attached (terrible) hack just to see what right-justification would look like.

The right margin is slightly ragged because I'm using plain spaces to offset the key binding from the menu text, but I still think it's better than what we have now. I tried using U+2009 THIN SPACE and even U+200A HAIR SPACE instead but somehow the result became worse; no doubt a silly mistake somewhere.

I also removed the special hack for s- bindings because it broke the nice alignment. If we want, we could translate modifiers into the standard symbols (⌘, ⌃, ⇧ and ⌥) depending on these are assigned, or just keep using the Emacs notation. We could also translate <right> into → and so on.